import requests
from bs4 import BeautifulSoup
import time
from pathlib import Path

def extract_domains(html):
   soup = BeautifulSoup(html, 'html.parser')
   return [p['id'] for p in soup.find_all('p', attrs={'onclick': True}) if p.get('id')]

def load_domains():
   if Path('mail_domains.txt').exists():
       with open('mail_domains.txt', 'r') as f:
           return set(line.strip() for line in f)
   return set()

def save_domain(domain):
   existing = load_domains()
   if domain not in existing:
       with open('mail_domains.txt', 'a') as f:
           f.write(f"{domain}\n")
           print(f"[+] Lưu domain mới: {domain}")

def check_domains():
   headers = {
       'user-agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36'
   }
   
   while True:
       try:
           response = requests.get('https://tempm.com/', headers=headers)
           if response.status_code == 200:
               print(f"\n[*] Tìm thấy: {len(extract_domains(response.text))} domains")
               for domain in extract_domains(response.text):
                   save_domain(domain)
           print(f"[*] Tổng số domain hiện có: {len(load_domains())}")
           time.sleep(0.1)
           
       except Exception as e:
           print(f"[-] Lỗi: {e}")
           time.sleep(10)

if __name__ == "__main__":
   check_domains()